// This file is part of mzCalc.
//
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License version 2, as published by the
// Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// mzCalc. If not, see <http://www.gnu.org/licenses/>.
//
// This work is Copyright (C) 2016 by Josse van der Plaat
//
// Individual portions may be copyright by individual contributors, and are
// included in this collective work with permission of the copyright owners.

#include "battleformation.h"

#include "shiptype.h"

#include <sstream>

bool operator==(const BattleFormation& lhs, const BattleFormation& rhs) {
    return lhs.shipType == rhs.shipType
        && lhs.atStartOfBattle == rhs.atStartOfBattle
        && lhs.emped() == rhs.emped()
        && lhs.killed() == rhs.killed()
        && lhs.stolen() == rhs.stolen()
        && lhs.abandoned() == rhs.abandoned()
        && lhs.capped() == rhs.capped()
        && lhs.structureKilled() == rhs.structureKilled();
}

bool operator!=(const BattleFormation& lhs, const BattleFormation& rhs) {
    return !(lhs == rhs);
}

std::string BattleFormation::toString() const {
    std::stringstream ss;
    ss << atStartOfBattle << " " << shipType.toString();
    return ss.str();
}
